## topplot 0.0.4

=== Makefile ===
ENVDIR=envdir

.DEFAULT_GOAL=test-install

clean:
	rm -rf $(ENVDIR) build dist *.egg-info

build: setup.py topplot topplot_/*.py
	python3 setup.py sdist bdist_wheel

test-upload: build
	echo ebardie | twine upload --verbose --repository-url https://test.pypi.org/legacy/ dist/*
	sleep 3

upload: clean build
	echo ebardie | twine upload --verbose  dist/*

test-install:
	[ -d $(ENVDIR) ] && rm -rf $(ENVDIR); \
	python3 -m venv $(ENVDIR); \
	. $(ENVDIR)/bin/activate; \
	pip install -U pip pycairo; \
	pip install --index-url https://test.pypi.org/simple --extra-index-url https://pypi.org/simple -v topplot
	bash

install:
	[ -d $(ENVDIR) ] && rm -rf $(ENVDIR); \
	python3 -m venv $(ENVDIR); \
	. $(ENVDIR)/bin/activate; \
	pip install -U pip pycairo; \
	pip install -v -U topplot

.PHONY: build clean test-upload test-install

=== debian/changelog ===
topplot (0.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #959872)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 25 Jun 2020 22:13:14 +0100

=== debian/control ===
Source: topplot
Section: utils
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
               python3-all, python3-matplotlib, python3-mplcursors,
               python3-numpy, python3-pandas
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/eBardie/topplot/
Vcs-Browser: https://salsa.debian.org/sudip/topplot
Vcs-Git: https://salsa.debian.org/sudip/topplot.git

Package: python3-topplot
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: topplot
Description: Python modules to munge top logs using topplot
 topplot produces graphs of information it munges from top logs. It can
 select which processes to focus on, and it can split out information
 by cpu core (if top was configured to record the cpu core column,
 and/or display the cpu summary info by core). topplot can save the
 graphs as PNG files. It can also print information derived from the
 logs to stdout, with or without emitting the graphs. There may be better,
 more efficient ways of collecting live system information, but if for
 some reason you've hundreds of thousands of lines of top logs and you
 want to see what's in them, topplot can help.
 .
 This package includes Python modules which may be reusable by other
 tools that want to use topplot modules.

Package: topplot
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-topplot
Description: Munge logs from top in to useful graphs
 topplot produces graphs of information it munges from top logs. It can
 select which processes to focus on, and it can split out information
 by cpu core (if top was configured to record the cpu core column,
 and/or display the cpu summary info by core). topplot can save the
 graphs as PNG files. It can also print information derived from the
 logs to stdout, with or without emitting the graphs. There may be better,
 more efficient ways of collecting live system information, but if for
 some reason you've hundreds of thousands of lines of top logs and you
 want to see what's in them, topplot can help.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=topplot

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p debian/topplot/usr
	mv debian/python3-topplot/usr/bin debian/topplot/usr/

=== debian/tests/control ===
Tests: moduletest
Depends: @

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/topplot-v([0-9.]+)\.tar\.gz/topplot-$1\.tar\.gz/g \
  https://gitlab.com/eBardie/topplot/tags?sort=updated_desc .*/archive/v[0-9.]+/topplot-v([0-9.]+)\.tar\.gz

## topplot 0.1.4+repack

=== debian/changelog ===
topplot (0.1.4+repack-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sudip Mukherjee ]
  * Add Files-Excluded to repack source.
  * New upstream version 0.1.4
    - Add dependency on python3-tk. (Closes: #967914)
    - Use xvfb for auto_test and autopkgtest.
    - Use MPLCONFIGDIR for autopkgtest.
    - Fix autopkgtest with new version.
    - Add dependency on screeninfo.
    - Modify watch file for repack suffix.
    - Install doc files.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 26 Sep 2020 22:21:42 +0100

topplot (0.0.4-2) unstable; urgency=medium

  * Source only upload.
  * Mark python team as maintainer.
  * Move Vcs under python team in salsa.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 29 Jul 2020 13:32:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: topplot
 Section: utils
 Priority: optional
-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
                python3-all, python3-matplotlib, python3-mplcursors,
-               python3-numpy, python3-pandas
+               python3-numpy, python3-pandas, python3-tk, xvfb, xauth,
+               python3-screeninfo
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/eBardie/topplot/
-Vcs-Browser: https://salsa.debian.org/sudip/topplot
-Vcs-Git: https://salsa.debian.org/sudip/topplot.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/topplot
+Vcs-Git: https://salsa.debian.org/python-team/packages/topplot.git
 
 Package: python3-topplot
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, python3-tk
 Suggests: topplot
 Description: Python modules to munge top logs using topplot
  topplot produces graphs of information it munges from top logs. It can

=== debian/tests/control ===
Tests: moduletest
Depends: @, python3-tk, xvfb, xauth

## topplot 0.1.5+repack

=== Makefile ===
# *_DIR variables refer to single level subdirectories of the top level topplot
# source directory. This simplifies the sed usage throughout this file.
BUILD_DIR:=build
DIST_DIR:=dist
ENV_DIR:=envdir
LOG_DIR:=logs
LOG_FILES:=$(wildcard $(LOG_DIR)/top.*.log)
PNG_FILES:=$(subst .,_,$(LOG_FILES))
PNG_FILES:=$(subst /,_,$(PNG_FILES))
PNG_FILES:=$(shell echo $(PNG_FILES) | sed -n 's/\([^ ]\+\) \?/$(DIST_DIR)\/\1_overview.png /gp')
TEST_DIR:=tests.d
TEST_EXE:=$(ENV_DIR)/bin/topplot
TOPPLOT_VERSION:=$(shell sed -n 's/^\s*version="\(.*\)",$$/\1/p' setup.py)
TOPPLOT_WHEEL:=$(DIST_DIR)/topplot-$(TOPPLOT_VERSION)-py3-none-any.whl

#-------------------------------------------------------------------------------

.PHONY: build clean test test-upload upload

.ONESHELL: # Allow multiline recipes

#-------------------------------------------------------------------------------

clean:
	rm -rf $(BUILD_DIR) $(DIST_DIR) $(ENV_DIR) $(TEST_DIR) *.egg-info

#-------------------------------------------------------------------------------

$(TOPPLOT_WHEEL): setup.py topplot/*.py topplot/*.png
	python3 setup.py sdist bdist_wheel

build: $(TOPPLOT_WHEEL)

#-------------------------------------------------------------------------------

$(TEST_EXE): $(TOPPLOT_WHEEL)
	[ -d $(ENV_DIR) ] && rm -rf $(ENV_DIR)
	python3 -m venv $(ENV_DIR)
	. $(ENV_DIR)/bin/activate
	pip3 install $(TOPPLOT_WHEEL)

install: $(TEST_EXE)

#-------------------------------------------------------------------------------

$(PNG_FILES): $(TEST_EXE) $(LOG_FILES)
	[ -d $(TEST_DIR) ] || mkdir -p $(TEST_DIR)
	. $(ENV_DIR)/bin/activate
	$(TEST_EXE) -f $(LOG_DIR)/$(shell echo $(@F) | sed -e 's/'$(LOG_DIR)'_top_\(.*\)_log_overview\.png/top.\1.log/') -g0pcCQ --outputdir $(TEST_DIR)

test: $(PNG_FILES)

#-------------------------------------------------------------------------------

test-upload: $(TOPPLOT_WHEEL)
	echo ebardie | twine upload --verbose --repository-url https://test.pypi.org/legacy/ $(DIST_DIR)/*
	sleep 3

upload: clean $(TOPPLOT_WHEEL) $(PNG_FILES)
	echo ebardie | twine upload --verbose  $(DIST_DIR)/*

#-------------------------------------------------------------------------------

=== requirements.txt ===
matplotlib>=3.2.2
pandas>=1.0.5
screeninfo>=0.6.5

black @ git+https://github.com/psf/black.git
flake8>=3.8.3
mypy>=0.782
pylint>=2.4.4
pylint-exit>=1.2.0
pytest>=4.6.11

=== debian/changelog ===
topplot (0.1.5+repack-1) unstable; urgency=medium

  * New upstream version 0.1.5+repack.
  * Update Standards-Version to 4.5.1.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 18 Jan 2021 19:16:17 +0000

topplot (0.1.4+repack-2) unstable; urgency=medium

  * Mark autopkgtest as superficial.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 11 Nov 2020 11:26:49 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all, python3-matplotlib, python3-mplcursors,
                python3-numpy, python3-pandas, python3-tk, xvfb, xauth,
                python3-screeninfo
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/eBardie/topplot/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/topplot

## topplot 0.1.8+repack

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 #-------------------------------------------------------------------------------
 
 $(TOPPLOT_WHEEL): setup.py topplot/*.py topplot/*.png
+	python3 -V
 	python3 setup.py sdist bdist_wheel
 
 build: $(TOPPLOT_WHEEL)
@@ -59,4 +60,7 @@
 upload: clean $(TOPPLOT_WHEEL) $(PNG_FILES)
 	echo ebardie | twine upload --verbose  $(DIST_DIR)/*
 
+force-upload: $(TOPPLOT_WHEEL)
+	echo ebardie | twine upload --verbose  $(DIST_DIR)/*
+
 #-------------------------------------------------------------------------------

## topplot 0.1.9%2Brepack

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+SHELL:=/bin/bash
+
 # *_DIR variables refer to single level subdirectories of the top level topplot
 # source directory. This simplifies the sed usage throughout this file.
 BUILD_DIR:=build
@@ -13,11 +15,18 @@
 TOPPLOT_VERSION:=$(shell sed -n 's/^\s*version="\(.*\)",$$/\1/p' setup.py)
 TOPPLOT_WHEEL:=$(DIST_DIR)/topplot-$(TOPPLOT_VERSION)-py3-none-any.whl
 
+
+# If a specific point release isn't defined as the PYVER environment variable,
+# default to whatever the default Python3 is
+ifeq ($(PYVER),)
+PYVER := 3
+endif
+
 #-------------------------------------------------------------------------------
 
-.PHONY: build clean test test-upload upload
+.PHONY: build clean recreate.venv refresh.venv refresh_no_cache.venv test test-upload upload
 
-.ONESHELL: # Allow multiline recipes
+.ONESHELL: # Allow multiline recipes. Note that early fails aren't detected.
 
 #-------------------------------------------------------------------------------
 
@@ -25,10 +34,37 @@
 	rm -rf $(BUILD_DIR) $(DIST_DIR) $(ENV_DIR) $(TEST_DIR) *.egg-info
 
 #-------------------------------------------------------------------------------
+# Remove and recreate the .venv dir for development work
+#
+# Note: this doesn't repopulate .venv. See below.
 
-$(TOPPLOT_WHEEL): setup.py topplot/*.py topplot/*.png
+recreate.venv:
+	rm -rf .venv || true
+	python${PYVER} -m venv .venv
+
+#-------------------------------------------------------------------------------
+# (re)install the working .venv for development work
+#
+# This rule forcibly updates pip and setuptools, and skips the cache. This is
+# intended to skirt any issues with out-of-date versions. This takes longer, so
+# use refresh_.venv if you can.
+
+refresh_no_cache.venv: recreate.venv
+	source .venv/bin/activate
+	pip3 install --no-cache-dir --ignore-installed -e .
+
+#-------------------------------------------------------------------------------
+# (re)install the working .venv for development work
+
+refresh.venv: recreate.venv
+	source .venv/bin/activate
+	pip3 install -e .
+
+#-------------------------------------------------------------------------------
+
+$(TOPPLOT_WHEEL): setup.cfg setup.py pyproject.toml topplot/*.py topplot/*.png
 	python3 -V
-	python3 setup.py sdist bdist_wheel
+	python3 -m build --wheel --sdist
 
 build: $(TOPPLOT_WHEEL)

## topplot 0.1.9+repack

=== debian/changelog ===
topplot (0.1.9+repack-1) unstable; urgency=medium

  * New upstream version 0.1.9
    - Remove setuptools version.
    - Add dependency on python3-pip
  * Update Standards-Version to 4.6.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 28 Jan 2022 21:00:33 +0000

topplot (0.1.8+repack-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 21 Aug 2021 18:59:08 +0100

topplot (0.1.8+repack-1) experimental; urgency=medium

  * New upstream version 0.1.8+repack.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 02 Apr 2021 22:38:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools,
                python3-all, python3-matplotlib, python3-mplcursors,
                python3-numpy, python3-pandas, python3-tk, xvfb, xauth,
-               python3-screeninfo
-Standards-Version: 4.5.1
+               python3-screeninfo, python3-pip
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/eBardie/topplot/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/topplot

## topplot 0.2.1+repack

=== debian/changelog ===
topplot (0.2.1+repack-1) unstable; urgency=medium

  * New upstream version 0.2.1+repack.
    - Refresh patch.
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 13 Mar 2022 18:59:22 +0000

## topplot 0.2.2+repack

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 PNG_FILES:=$(shell echo $(PNG_FILES) | sed -n 's/\([^ ]\+\) \?/$(DIST_DIR)\/\1_overview.png /gp')
 TEST_DIR:=tests.d
 TEST_EXE:=$(ENV_DIR)/bin/topplot
-TOPPLOT_VERSION:=$(shell sed -n 's/^\s*version="\(.*\)",$$/\1/p' setup.py)
-TOPPLOT_WHEEL:=$(DIST_DIR)/topplot-$(TOPPLOT_VERSION)-py3-none-any.whl
+TOPPLOT_VERSION:=$(shell sed -n 's/^version = \([0-9.]\+\)$$/\1/p' setup.cfg)
+TOPPLOT_WHEEL:=$(DIST_DIR)/topplot-$(TOPPLOT_VERSION)-py2.py3-none-any.whl
 
 
 # If a specific point release isn't defined as the PYVER environment variable,

=== requirements.txt ===
black @ git+https://github.com/psf/black.git
flake8>=3.8.3
mypy>=0.782
pylint>=2.4.4
pylint-exit>=1.2.0
pytest>=4.6.11

=== debian/changelog ===
topplot (0.2.2+repack-2) unstable; urgency=medium

  * Team upload.
  * Add python3-all to autopkgtest Depends (closes: #1069608).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Apr 2024 15:08:01 +0100

topplot (0.2.2+repack-1) unstable; urgency=medium

  * New upstream version 0.2.2+repack
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 25 Jan 2023 18:40:03 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-all, python3-matplotlib, python3-mplcursors,
                python3-numpy, python3-pandas, python3-tk, xvfb, xauth,
                python3-screeninfo, python3-pip
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/eBardie/topplot/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/topplot

=== debian/tests/control ===
Tests: moduletest
Depends: @, python3-all, python3-tk, xvfb, xauth
Restrictions: superficial

=== debian/watch ===
version=4
opts=dversionmangle=s/\+repack//,filenamemangle=s/.*\/topplot-v([0-9.]+)\.tar\.gz/topplot-$1\.tar\.gz/g \
  https://gitlab.com/eBardie/topplot/tags?sort=updated_desc .*/archive/v[0-9.]+/topplot-v([0-9.]+)\.tar\.gz
